#ifndef POINT_2D__HH__
#define POINT_2D__HH__
#include <math.h>

#ifndef PI
#define PI 3.141592653589793238462643383279502f   
#endif

#ifndef DEGREES
#define DEGREES 0.01745329251994329576923690768489f                           
#endif

class CPoint2D
{
public:
	double x, y;

public:
	CPoint2D(double x = 0, double y = 0);
	virtual ~CPoint2D();
	
	inline double GetDistance(CPoint2D &pt);
	static double GetDistance(CPoint2D &pt1, CPoint2D &pt2);
};

class CPointPolar2D
{
public:
	double dist, theta;

public:
	CPointPolar2D(double d = 0, double t = 0) : dist(.0), theta(.0) { dist = d; theta = t; };
	virtual ~CPointPolar2D() {};
};
#endif
